Skip to main content
POST
/
api
/
v1
/
sessions
/
datasets
/
{dataset_id}
/
new-session
Create session from existing dataset
curl --request POST \
  --url https://api.example.com/api/v1/sessions/datasets/{dataset_id}/new-session \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sender_data": {}
}
'
import requests

url = "https://api.example.com/api/v1/sessions/datasets/{dataset_id}/new-session"

payload = { "sender_data": {} }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({sender_data: {}})
};

fetch('https://api.example.com/api/v1/sessions/datasets/{dataset_id}/new-session', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "session_id": "<string>",
  "status": "<string>",
  "created_at": 123
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

dataset_id
string
required

Body

application/json

Request model for creating a new processing session.

session_type
enum<string>
required

Type of session: enrichment or personalization

Available options:
enrichment,
personalization
sender_data
Sender Data · object

Initial sender data for the session

Response

Successful Response

Response model for session creation.

session_id
string
required

Unique session identifier

status
string
required

Current session status

created_at
number
required

Session creation timestamp